> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Personal Data History

> Get all historical versions of personal data for an employee.



## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/employees/{employee_id}/personal-data/history
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/employees/{employee_id}/personal-data/history:
    get:
      tags:
        - Core
        - Employees
        - Personal Data
      summary: Get Employee Personal Data History
      description: Get all historical versions of personal data for an employee.
      operationId: >-
        get_employee_personal_data_history_organizations__organization_id__employees__employee_id__personal_data_history_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
        - name: employee_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Employee Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - $ref: '#/components/schemas/DEPersonalDataResponse'
                    - $ref: '#/components/schemas/GBPersonalDataResponse'
                  discriminator:
                    propertyName: employment_country
                    mapping:
                      DE:
                        $ref: '#/components/schemas/DEPersonalDataResponse'
                      GB:
                        $ref: '#/components/schemas/GBPersonalDataResponse'
                title: >-
                  Response Get Employee Personal Data History Organizations 
                  Organization Id  Employees  Employee Id  Personal Data History
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    DEPersonalDataResponse:
      properties:
        employee_id:
          type: string
          title: Employee Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        id:
          type: integer
          title: Id
        employment_country:
          type: string
          const: DE
          title: Employment Country
          default: DE
        employee_name:
          $ref: '#/components/schemas/DEName'
        gender:
          anyOf:
            - $ref: '#/components/schemas/DEGender'
            - type: 'null'
        marital_status:
          anyOf:
            - $ref: '#/components/schemas/MaritalStatus'
            - type: 'null'
        nationality:
          anyOf:
            - type: string
            - type: 'null'
          title: Nationality
        residence_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Residence Address
        status_indicator:
          anyOf:
            - $ref: '#/components/schemas/StatusIndicator'
            - type: 'null'
          description: 'EN: Employee status indicator | DE: Statuskennzeichen'
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
          description: 'EN: Valid from date | DE: Gültig ab Datum'
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
          description: 'EN: Valid to date | DE: Gültig bis Datum'
      additionalProperties: true
      type: object
      required:
        - employee_id
        - created_at
        - updated_at
        - id
        - employee_name
      title: DEPersonalDataResponse
      description: Response model for personal data with metadata fields.
    GBPersonalDataResponse:
      properties:
        employee_id:
          type: string
          title: Employee Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        id:
          type: integer
          title: Id
        employment_country:
          type: string
          const: GB
          title: Employment Country
          default: GB
        employee_name:
          type: string
          title: Employee Name
          description: Employee name
        gender:
          anyOf:
            - $ref: '#/components/schemas/GBGender'
            - type: 'null'
          description: Gender
        marital_status:
          anyOf:
            - $ref: '#/components/schemas/MaritalStatus'
            - type: 'null'
          description: Marital status
        nationality:
          anyOf:
            - type: string
            - type: 'null'
          title: Nationality
          description: Nationality
        birth_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Birth Date
          description: Birth date
        residence_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Residence Address
          description: Residence address
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
      additionalProperties: true
      type: object
      required:
        - employee_id
        - created_at
        - updated_at
        - id
        - employee_name
      title: GBPersonalDataResponse
      description: Response model for personal data with metadata fields.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DEName:
      properties:
        family_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Family Name
        given_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Name
        family_name_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Family Name Prefix
        given_name_suffix:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Name Suffix
        birth_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Birth Name
        birth_family_name_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Birth Family Name Prefix
        birth_given_name_suffix:
          anyOf:
            - type: string
            - type: 'null'
          title: Birth Given Name Suffix
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      additionalProperties: true
      type: object
      title: DEName
    DEGender:
      type: string
      enum:
        - M
        - W
        - D
      title: DEGender
      description: Legally recognized genders in Germany.
    MaritalStatus:
      type: string
      enum:
        - Single
        - Married
      title: MaritalStatus
    StatusIndicator:
      type: string
      enum:
        - managing_partner_gmbh_ug
        - proprietor_spouse
        - proprietor_life_partner
        - proprietor_biological_child
        - proprietor_adopted_child
        - proprietor_grandchild
      title: StatusIndicator
      description: >-
        Employee status indicators for DSME reporting (KENNZSTA field).


        Based on SGB IV § 28 a Abs. 3, BE SpiO vom 18.03.2020 TOP 3, BE SpiO
        vom16.03.2023 Top 4
    GBGender:
      type: string
      enum:
        - M
        - F
      title: GBGender
      description: Legally recognized genders in Germany.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````